## GimpMD5

GimpMD5 — The MD5 message-digest algorithm

## Functions

void | gimp_md5_get_digest ()

## Description

The MD5 message-digest algorithm

## Functions

### gimp_md5_get_digest ()

    void
    gimp_md5_get_digest (const gchar *buffer,
                         gint buffer_size,
                         guchar digest[16]);

`gimp_md5_get_digest` is deprecated and should not be used in newly-written code.

This function is deprecated! Use `GChecksum` from GLib instead.

Get the md5 hash of a buffer. The result is put in the 16 bytes buffer `digest` . For more information see RFC 1321.

#### Parameters

buffer | byte buffer |
buffer_size | buffer size (in bytes) or -1 if `buffer` is nul-terminated. |
digest | 16 bytes buffer receiving the hash code. |